{ config, pkgs, ... }:

{
  nixpkgs.config.allowUnfree = true;

  nix.settings.experimental-features = [ "nix-command" "flakes" ];

  users.defaultUserShell = pkgs.zsh;

  environment.systemPackages = with pkgs; [
    chromium
    gnumake
    jetbrains-toolbox
    fastfetch
    jq
  ];

  security.rtkit.enable = true;

  system.stateVersion = "25.11";
}
